Subject: [mpls] [Errata Verified] RFC7394 (4297)

From: RFC Errata System <[email-masked]>
Date: Tue, 10 Mar 2015 14:42:54 -0700 (PDT)

The following errata report has been verified for RFC7394,
"Definition of Time to Live TLV for LSP-Ping Mechanisms". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7394&eid=4297

--------------------------------------
Status: Verified
Type: Technical

Reported by: Himanshu Shah <[email-masked]>
Date Reported: 2015-03-10
Verified by: Adrian Farrel (IESG)

Section: 3.1

Original Text
-------------
3.1. TTL TLV Format

   0                   1                   2                   3
   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |  Type = 32769                 |   Length = 8                  |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |   Value       |   Reserved    |   Flags                       |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

                  Figure 1: Time To Live TLV Format

Corrected Text
--------------
3.1. TTL TLV Format

   0                   1                   2                   3
   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |  Type = 32769                 |   Length = 4                  |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |   Value       |   Reserved    |   Flags                       |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

                  Figure 1: Time To Live TLV Format

Notes
-----
In an LSP Ping TTL, Length value should show length of the value fields only. See RFC 4379 section 3.

--------------------------------------
RFC7394 (draft-ietf-mpls-lsp-ping-ttl-tlv-10)
--------------------------------------
Title               : Definition of Time to Live TLV for LSP-Ping Mechanisms
Publication Date    : November 2014
Author(s)           : S. Boutros, S. Sivabalan, G. Swallow, S. Saxena, V. Manral, S. Aldrin
Category            : PROPOSED STANDARD
Source              : Multiprotocol Label Switching
Area                : Routing
Stream              : IETF
Verifying Party     : IESG